
FAIL Bad usages: importKey(spki, {name: X25519}, true, [encrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(spki, {name: X25519}, false, [encrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(spki, {name: X25519}, true, [decrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(spki, {name: X25519}, false, [decrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(spki, {name: X25519}, true, [sign]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(spki, {name: X25519}, false, [sign]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(spki, {name: X25519}, true, [verify]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(spki, {name: X25519}, false, [verify]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(spki, {name: X25519}, true, [wrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(spki, {name: X25519}, false, [wrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(spki, {name: X25519}, true, [unwrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(spki, {name: X25519}, false, [unwrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(spki, {name: X25519}, true, [deriveKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(spki, {name: X25519}, false, [deriveKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(spki, {name: X25519}, true, [deriveBits]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(spki, {name: X25519}, false, [deriveBits]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, true, [encrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, false, [encrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, true, [deriveKey, encrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, false, [deriveKey, encrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, true, [deriveBits, deriveKey, encrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, false, [deriveBits, deriveKey, encrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, true, [deriveBits, encrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, false, [deriveBits, encrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, true, [deriveKey, deriveBits, deriveKey, deriveBits, encrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, false, [deriveKey, deriveBits, deriveKey, deriveBits, encrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, true, [decrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, false, [decrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, true, [deriveKey, decrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, false, [deriveKey, decrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, true, [deriveBits, deriveKey, decrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, false, [deriveBits, deriveKey, decrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, true, [deriveBits, decrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, false, [deriveBits, decrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, true, [deriveKey, deriveBits, deriveKey, deriveBits, decrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, false, [deriveKey, deriveBits, deriveKey, deriveBits, decrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, true, [sign]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, false, [sign]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, true, [deriveKey, sign]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, false, [deriveKey, sign]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, true, [deriveBits, deriveKey, sign]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, false, [deriveBits, deriveKey, sign]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, true, [deriveBits, sign]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, false, [deriveBits, sign]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, true, [deriveKey, deriveBits, deriveKey, deriveBits, sign]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, false, [deriveKey, deriveBits, deriveKey, deriveBits, sign]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, true, [verify]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, false, [verify]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, true, [deriveKey, verify]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, false, [deriveKey, verify]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, true, [deriveBits, deriveKey, verify]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, false, [deriveBits, deriveKey, verify]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, true, [deriveBits, verify]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, false, [deriveBits, verify]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, true, [deriveKey, deriveBits, deriveKey, deriveBits, verify]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, false, [deriveKey, deriveBits, deriveKey, deriveBits, verify]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, true, [wrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, false, [wrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, true, [deriveKey, wrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, false, [deriveKey, wrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, true, [deriveBits, deriveKey, wrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, false, [deriveBits, deriveKey, wrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, true, [deriveBits, wrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, false, [deriveBits, wrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, true, [deriveKey, deriveBits, deriveKey, deriveBits, wrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, false, [deriveKey, deriveBits, deriveKey, deriveBits, wrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, true, [unwrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, false, [unwrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, true, [deriveKey, unwrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, false, [deriveKey, unwrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, true, [deriveBits, deriveKey, unwrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, false, [deriveBits, deriveKey, unwrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, true, [deriveBits, unwrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, false, [deriveBits, unwrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, true, [deriveKey, deriveBits, deriveKey, deriveBits, unwrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(pkcs8, {name: X25519}, false, [deriveKey, deriveBits, deriveKey, deriveBits, unwrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, true, [encrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, false, [encrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, true, [deriveKey, encrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, false, [deriveKey, encrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, true, [deriveBits, deriveKey, encrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, false, [deriveBits, deriveKey, encrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, true, [deriveBits, encrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, false, [deriveBits, encrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, true, [deriveKey, deriveBits, deriveKey, deriveBits, encrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, false, [deriveKey, deriveBits, deriveKey, deriveBits, encrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, true, [decrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, false, [decrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, true, [deriveKey, decrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, false, [deriveKey, decrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, true, [deriveBits, deriveKey, decrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, false, [deriveBits, deriveKey, decrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, true, [deriveBits, decrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, false, [deriveBits, decrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, true, [deriveKey, deriveBits, deriveKey, deriveBits, decrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, false, [deriveKey, deriveBits, deriveKey, deriveBits, decrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, true, [sign]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, false, [sign]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, true, [deriveKey, sign]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, false, [deriveKey, sign]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, true, [deriveBits, deriveKey, sign]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, false, [deriveBits, deriveKey, sign]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, true, [deriveBits, sign]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, false, [deriveBits, sign]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, true, [deriveKey, deriveBits, deriveKey, deriveBits, sign]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, false, [deriveKey, deriveBits, deriveKey, deriveBits, sign]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, true, [verify]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, false, [verify]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, true, [deriveKey, verify]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, false, [deriveKey, verify]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, true, [deriveBits, deriveKey, verify]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, false, [deriveBits, deriveKey, verify]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, true, [deriveBits, verify]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, false, [deriveBits, verify]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, true, [deriveKey, deriveBits, deriveKey, deriveBits, verify]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, false, [deriveKey, deriveBits, deriveKey, deriveBits, verify]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, true, [wrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, false, [wrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, true, [deriveKey, wrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, false, [deriveKey, wrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, true, [deriveBits, deriveKey, wrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, false, [deriveBits, deriveKey, wrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, true, [deriveBits, wrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, false, [deriveBits, wrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, true, [deriveKey, deriveBits, deriveKey, deriveBits, wrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, false, [deriveKey, deriveBits, deriveKey, deriveBits, wrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, true, [unwrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, false, [unwrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, true, [deriveKey, unwrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, false, [deriveKey, unwrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, true, [deriveBits, deriveKey, unwrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, false, [deriveBits, deriveKey, unwrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, true, [deriveBits, unwrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, false, [deriveBits, unwrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, true, [deriveKey, deriveBits, deriveKey, deriveBits, unwrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk(private), {name: X25519}, false, [deriveKey, deriveBits, deriveKey, deriveBits, unwrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk (public) , {name: X25519}, true, [encrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk (public) , {name: X25519}, false, [encrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk (public) , {name: X25519}, true, [decrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk (public) , {name: X25519}, false, [decrypt]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk (public) , {name: X25519}, true, [sign]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk (public) , {name: X25519}, false, [sign]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk (public) , {name: X25519}, true, [verify]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk (public) , {name: X25519}, false, [verify]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk (public) , {name: X25519}, true, [wrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk (public) , {name: X25519}, false, [wrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk (public) , {name: X25519}, true, [unwrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk (public) , {name: X25519}, false, [unwrapKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk (public) , {name: X25519}, true, [deriveKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk (public) , {name: X25519}, false, [deriveKey]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk (public) , {name: X25519}, true, [deriveBits]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad usages: importKey(jwk (public) , {name: X25519}, false, [deriveBits]) assert_equals: Bad usages not supported. expected "SyntaxError" but got "NotSupportedError"
FAIL Bad key length: importKey(spki, {name: X25519}, true, []) assert_equals: Bad key length not supported. expected "DataError" but got "NotSupportedError"
FAIL Bad key length: importKey(spki, {name: X25519}, false, []) assert_equals: Bad key length not supported. expected "DataError" but got "NotSupportedError"
FAIL Bad key length: importKey(pkcs8, {name: X25519}, true, [deriveKey]) assert_equals: Bad key length not supported. expected "DataError" but got "NotSupportedError"
FAIL Bad key length: importKey(pkcs8, {name: X25519}, false, [deriveKey]) assert_equals: Bad key length not supported. expected "DataError" but got "NotSupportedError"
FAIL Bad key length: importKey(pkcs8, {name: X25519}, true, [deriveBits, deriveKey]) assert_equals: Bad key length not supported. expected "DataError" but got "NotSupportedError"
FAIL Bad key length: importKey(pkcs8, {name: X25519}, false, [deriveBits, deriveKey]) assert_equals: Bad key length not supported. expected "DataError" but got "NotSupportedError"
FAIL Bad key length: importKey(pkcs8, {name: X25519}, true, [deriveBits]) assert_equals: Bad key length not supported. expected "DataError" but got "NotSupportedError"
FAIL Bad key length: importKey(pkcs8, {name: X25519}, false, [deriveBits]) assert_equals: Bad key length not supported. expected "DataError" but got "NotSupportedError"
FAIL Bad key length: importKey(pkcs8, {name: X25519}, true, [deriveKey, deriveBits, deriveKey, deriveBits]) assert_equals: Bad key length not supported. expected "DataError" but got "NotSupportedError"
FAIL Bad key length: importKey(pkcs8, {name: X25519}, false, [deriveKey, deriveBits, deriveKey, deriveBits]) assert_equals: Bad key length not supported. expected "DataError" but got "NotSupportedError"
FAIL Bad key length: importKey(jwk (public) , {name: X25519}, true, []) assert_equals: Bad key length not supported. expected "DataError" but got "NotSupportedError"
FAIL Bad key length: importKey(jwk (public) , {name: X25519}, false, []) assert_equals: Bad key length not supported. expected "DataError" but got "NotSupportedError"
FAIL Bad key length: importKey(jwk(private), {name: X25519}, true, [deriveKey]) assert_equals: Bad key length not supported. expected "DataError" but got "NotSupportedError"
FAIL Bad key length: importKey(jwk(private), {name: X25519}, false, [deriveKey]) assert_equals: Bad key length not supported. expected "DataError" but got "NotSupportedError"
FAIL Bad key length: importKey(jwk(private), {name: X25519}, true, [deriveBits, deriveKey]) assert_equals: Bad key length not supported. expected "DataError" but got "NotSupportedError"
FAIL Bad key length: importKey(jwk(private), {name: X25519}, false, [deriveBits, deriveKey]) assert_equals: Bad key length not supported. expected "DataError" but got "NotSupportedError"
FAIL Bad key length: importKey(jwk(private), {name: X25519}, true, [deriveBits]) assert_equals: Bad key length not supported. expected "DataError" but got "NotSupportedError"
FAIL Bad key length: importKey(jwk(private), {name: X25519}, false, [deriveBits]) assert_equals: Bad key length not supported. expected "DataError" but got "NotSupportedError"
FAIL Bad key length: importKey(jwk(private), {name: X25519}, true, [deriveKey, deriveBits, deriveKey, deriveBits]) assert_equals: Bad key length not supported. expected "DataError" but got "NotSupportedError"
FAIL Bad key length: importKey(jwk(private), {name: X25519}, false, [deriveKey, deriveBits, deriveKey, deriveBits]) assert_equals: Bad key length not supported. expected "DataError" but got "NotSupportedError"
FAIL Missing JWK 'x' parameter: importKey(jwk(private), {name: X25519}, true, [deriveKey]) assert_equals: Missing JWK 'x' parameter not supported. expected "DataError" but got "NotSupportedError"
FAIL Missing JWK 'x' parameter: importKey(jwk(private), {name: X25519}, false, [deriveKey]) assert_equals: Missing JWK 'x' parameter not supported. expected "DataError" but got "NotSupportedError"
FAIL Missing JWK 'x' parameter: importKey(jwk(private), {name: X25519}, true, [deriveBits, deriveKey]) assert_equals: Missing JWK 'x' parameter not supported. expected "DataError" but got "NotSupportedError"
FAIL Missing JWK 'x' parameter: importKey(jwk(private), {name: X25519}, false, [deriveBits, deriveKey]) assert_equals: Missing JWK 'x' parameter not supported. expected "DataError" but got "NotSupportedError"
FAIL Missing JWK 'x' parameter: importKey(jwk(private), {name: X25519}, true, [deriveBits]) assert_equals: Missing JWK 'x' parameter not supported. expected "DataError" but got "NotSupportedError"
FAIL Missing JWK 'x' parameter: importKey(jwk(private), {name: X25519}, false, [deriveBits]) assert_equals: Missing JWK 'x' parameter not supported. expected "DataError" but got "NotSupportedError"
FAIL Missing JWK 'x' parameter: importKey(jwk(private), {name: X25519}, true, [deriveKey, deriveBits, deriveKey, deriveBits]) assert_equals: Missing JWK 'x' parameter not supported. expected "DataError" but got "NotSupportedError"
FAIL Missing JWK 'x' parameter: importKey(jwk(private), {name: X25519}, false, [deriveKey, deriveBits, deriveKey, deriveBits]) assert_equals: Missing JWK 'x' parameter not supported. expected "DataError" but got "NotSupportedError"
FAIL Missing JWK 'kty' parameter: importKey(jwk(private), {name: X25519}, true, [deriveKey]) assert_equals: Missing JWK 'kty' parameter not supported. expected "DataError" but got "NotSupportedError"
FAIL Missing JWK 'kty' parameter: importKey(jwk(private), {name: X25519}, false, [deriveKey]) assert_equals: Missing JWK 'kty' parameter not supported. expected "DataError" but got "NotSupportedError"
FAIL Missing JWK 'kty' parameter: importKey(jwk(private), {name: X25519}, true, [deriveBits, deriveKey]) assert_equals: Missing JWK 'kty' parameter not supported. expected "DataError" but got "NotSupportedError"
FAIL Missing JWK 'kty' parameter: importKey(jwk(private), {name: X25519}, false, [deriveBits, deriveKey]) assert_equals: Missing JWK 'kty' parameter not supported. expected "DataError" but got "NotSupportedError"
FAIL Missing JWK 'kty' parameter: importKey(jwk(private), {name: X25519}, true, [deriveBits]) assert_equals: Missing JWK 'kty' parameter not supported. expected "DataError" but got "NotSupportedError"
FAIL Missing JWK 'kty' parameter: importKey(jwk(private), {name: X25519}, false, [deriveBits]) assert_equals: Missing JWK 'kty' parameter not supported. expected "DataError" but got "NotSupportedError"
FAIL Missing JWK 'kty' parameter: importKey(jwk(private), {name: X25519}, true, [deriveKey, deriveBits, deriveKey, deriveBits]) assert_equals: Missing JWK 'kty' parameter not supported. expected "DataError" but got "NotSupportedError"
FAIL Missing JWK 'kty' parameter: importKey(jwk(private), {name: X25519}, false, [deriveKey, deriveBits, deriveKey, deriveBits]) assert_equals: Missing JWK 'kty' parameter not supported. expected "DataError" but got "NotSupportedError"
FAIL Missing JWK 'crv' parameter: importKey(jwk (public) , {name: X25519}, true, []) assert_equals: Missing JWK 'crv' parameter not supported. expected "DataError" but got "NotSupportedError"
FAIL Missing JWK 'crv' parameter: importKey(jwk (public) , {name: X25519}, false, []) assert_equals: Missing JWK 'crv' parameter not supported. expected "DataError" but got "NotSupportedError"
FAIL Invalid key pair: importKey(jwk(private), {name: X25519}, true, [deriveKey]) assert_equals: Invalid key pair not supported. expected "DataError" but got "NotSupportedError"
FAIL Invalid key pair: importKey(jwk(private), {name: X25519}, true, [deriveBits, deriveKey]) assert_equals: Invalid key pair not supported. expected "DataError" but got "NotSupportedError"
FAIL Invalid key pair: importKey(jwk(private), {name: X25519}, true, [deriveBits]) assert_equals: Invalid key pair not supported. expected "DataError" but got "NotSupportedError"
FAIL Invalid key pair: importKey(jwk(private), {name: X25519}, true, [deriveKey, deriveBits, deriveKey, deriveBits]) assert_equals: Invalid key pair not supported. expected "DataError" but got "NotSupportedError"

